Cost+ Docs
Payment Links

Get a payment link

Retrieve the details of a payment link.

GET
/paymentlinks/{id}

Authorization

basicAuth
AuthorizationBasic <token>

Use your API key as the username and leave the password empty. Encode as Base64: {api_key}: (note the trailing colon).

In: header

Path Parameters

id*string

Payment link identifier

Response Body

application/json

application/json

application/json

curl -X GET "https://api.costplus.online/v1/paymentlinks/string"
{
  "id": "string",
  "merchant_order_id": "string",
  "description": "string",
  "amount": 1,
  "currency": "string",
  "expiration_period": "string",
  "payment_url": "http://example.com",
  "payment_methods": [
    "string"
  ],
  "created": "2019-08-24T14:15:22Z",
  "modified": "2019-08-24T14:15:22Z",
  "completed_order_id": "string",
  "status": "new",
  "reason": "string",
  "completed": "2019-08-24T14:15:22Z",
  "orders": {},
  "customer": {
    "user_agent": "string",
    "merchant_customer_id": "string",
    "email_address": "user@example.com",
    "first_name": "string",
    "last_name": "string",
    "address_type": "customer",
    "address": "string",
    "postal_code": "string",
    "housenumber": "string",
    "country": "string",
    "locale": "string",
    "phone_numbers": [
      "string"
    ],
    "ip_address": "192.168.0.1",
    "gender": "male",
    "birthdate": "2019-08-24T14:15:22Z",
    "additional_addresses": [
      {}
    ]
  }
}
{
  "error": {
    "status": 400,
    "type": "string",
    "value": "string",
    "property_path": "string",
    "property_description": "string"
  }
}
{
  "error": {
    "status": 400,
    "type": "string",
    "value": "string",
    "property_path": "string",
    "property_description": "string"
  }
}